Index: code/branches/presentation3/data/levels/pickups.oxw
===================================================================
--- code/branches/presentation3/data/levels/pickups.oxw	(revision 7007)
+++ code/branches/presentation3/data/levels/pickups.oxw	(revision 7008)
@@ -25,5 +25,4 @@
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
     <SpawnPoint position="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-
 
     <!-- Shield pickups -->
@@ -135,5 +134,5 @@
     <!-- Pickup Collection pickups -->
 
-    <PickupSpawner position="-50,0,-125" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
+    <PickupSpawner position="-50,25,-125" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
       <pickup>
         <PickupCollection template=triplehealthspeedinvisibilitypickup />
@@ -141,5 +140,5 @@
     </PickupSpawner>
 
-        <!-- PickupRepresentation for the pickup below, since it is not a standard pickup provided by pickups.oxi -->
+    <!-- PickupRepresentation for the pickup below, since it is not a standard pickup provided by pickups.oxi -->
     <PickupRepresentation
       pickupName = "Medium Health Pack"
@@ -153,7 +152,7 @@
     </PickupRepresentation>
 
-    <PickupSpawner position="-50,25,-125" respawnTime="60" triggerDistance="20" maxSpawnedItems="5">
+    <PickupSpawner position="-50,0,-125" respawnTime="60" triggerDistance="20" maxSpawnedItems="5">
       <pickup>
-        <HealthPickup health=50 activationType=onUse durationType=continuous />
+        <HealthPickup health=50 activationType=onUse durationType=once />
       </pickup>
     </PickupSpawner>
Index: code/branches/presentation3/src/libraries/core/OrxonoxClass.h
===================================================================
--- code/branches/presentation3/src/libraries/core/OrxonoxClass.h	(revision 7007)
+++ code/branches/presentation3/src/libraries/core/OrxonoxClass.h	(revision 7008)
@@ -173,5 +173,5 @@
     };
     
-    SUPER_FUNCTION(11, OrxonoxClass, clone, true);
+    SUPER_FUNCTION(11, OrxonoxClass, clone, false);
     
 }
Index: code/branches/presentation3/src/modules/pickup/Pickup.cc
===================================================================
--- code/branches/presentation3/src/modules/pickup/Pickup.cc	(revision 7007)
+++ code/branches/presentation3/src/modules/pickup/Pickup.cc	(revision 7008)
@@ -48,4 +48,6 @@
     /*static*/ const std::string Pickup::durationTypeOnce_s = "once";
     /*static*/ const std::string Pickup::durationTypeContinuous_s = "continuous";
+
+    CreateUnloadableFactory(Pickup);
 
     Pickup::Pickup(BaseObject* creator) : BaseObject(creator)
@@ -146,9 +148,9 @@
     void Pickup::setActivationType(const std::string& type)
     {
-        if(Pickup::activationTypeImmediate_s.compare(type))
+        if(Pickup::activationTypeImmediate_s.compare(type) == 0)
         {
             this->activationType_ = pickupActivationType::immediate;
         }
-        else if(Pickup::activationTypeOnUse_s.compare(type))
+        else if(Pickup::activationTypeOnUse_s.compare(type) == 0)
         {
             this->activationType_ = pickupActivationType::onUse;
Index: code/branches/presentation3/src/modules/pickup/Pickup.h
===================================================================
--- code/branches/presentation3/src/modules/pickup/Pickup.h	(revision 7007)
+++ code/branches/presentation3/src/modules/pickup/Pickup.h	(revision 7008)
@@ -77,8 +77,6 @@
     {
 
-        protected:
+        public:
             Pickup(BaseObject* creator); //!< Constructor.
-
-        public:
             virtual ~Pickup(); //!< Destructor.
 
Index: code/branches/presentation3/src/modules/pickup/items/HealthPickup.cc
===================================================================
--- code/branches/presentation3/src/modules/pickup/items/HealthPickup.cc	(revision 7007)
+++ code/branches/presentation3/src/modules/pickup/items/HealthPickup.cc	(revision 7008)
@@ -189,5 +189,5 @@
     {
         SUPER(HealthPickup, changedUsed);
-        
+
         //! If the pickup is not picked up nothing must be done.
         if(!this->isPickedUp())
@@ -290,7 +290,7 @@
         if(item == NULL)
             item = new HealthPickup(this);
-        
+
         SUPER(HealthPickup, clone, item);
-        
+
         HealthPickup* pickup = dynamic_cast<HealthPickup*>(item);
         pickup->setHealth(this->getHealth());
